Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011113
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2009-10-23 17:412010-03-10 18:28
ReporterplujanView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisioneecd5dedc0dc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP8SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011113: Number of changes pending is not correct on upgrading

DescriptionI am upgrading a module, on the rebuild message, message says: "2 changes pending"
Steps To ReproduceUpgrade an existing module and see the message shown when rebuilding is required. See attach.
TagsNo tags attached.
Attached Filespng file icon 250mp8_ModuleUpgradingError.PNG [^] (39,612 bytes) 2009-10-23 17:41


png file icon error_change_pending.PNG [^] (25,873 bytes) 2010-01-25 16:17

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0010090 closedshuehner The module management window show incorrect things 
related to defect 0011083 closediperdomo I have one change pending to be rebuilt but it says that I have 2 

-  Notes
(0021366)
shuehner (administrator)
2009-10-23 17:58

problem is on upgrading one new row is inserted into ad_module_install and an old row for the same module with status 'I' is present in ad_module which then counts as two in the selectRebuild method of the ModuleManagement_data.xsql file.
(0023792)
psarobe (manager)
2010-01-25 16:16

It happens as well when upgrading core from 250MP10 to 250MP11
(0023991)
hgbot (developer)
2010-02-05 13:35

Repository: erp/devel/pi
Changeset: a9eeb25cc2a278a9a1dde63a54e93033f734d60b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Feb 05 13:35:30 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a9eeb25cc2a278a9a1dde63a54e93033f734d60b [^]

fixed bug 11113: Number of changes pending is not correct on upgrading

---
M src/org/openbravo/erpCommon/modules/ModuleTree.java
---
(0024298)
hudsonbot (developer)
2010-02-15 17:36

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/a9eeb25cc2a2 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/2596487a564c [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16391.obx [^]
(0024497)
marvintm (developer)
2010-02-17 16:54

This still happens on pi (there are still 2 changes pending instead of 1, when updating the helloworld module)
(0024499)
hgbot (developer)
2010-02-17 16:56

Repository: erp/devel/pi
Changeset: 53e2c2b7a0aa313d23a4eb4c8fd4def0652b39be
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Feb 17 16:57:18 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/53e2c2b7a0aa313d23a4eb4c8fd4def0652b39be [^]

fixed bug 11113: Number of changes pending is not correct on upgrading

---
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement_data.xsql
---
(0024501)
marvintm (developer)
2010-02-17 17:12

I've tried to update HelloWorld module, and now it shows "1 change pending". Before it (wrongly) showed 2.
(0024584)
hgbot (developer)
2010-02-18 12:34

Repository: erp/devel/pi
Changeset: eecd5dedc0dcaba824f005798ab3c9605bf46648
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Feb 18 12:36:08 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/eecd5dedc0dcaba824f005798ab3c9605bf46648 [^]

fixed bug 11113: Small fixes and improved comments

---
M src/org/openbravo/erpCommon/obps/ActivationKey.java
M src/org/openbravo/erpCommon/utility/VerticalMenu.java
---
(0024586)
alostale (developer)
2010-02-18 12:46

Wrong commit comment, last commit is not related with this issue
(0024656)
hudsonbot (developer)
2010-02-19 16:35

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/53e2c2b7a0aa [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/d22bdcc83354 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16481.obx [^]
(0024661)
hudsonbot (developer)
2010-02-19 16:35

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/eecd5dedc0dc [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/d22bdcc83354 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16481.obx [^]

- Issue History
Date Modified Username Field Change
2009-10-23 17:41 plujan New Issue
2009-10-23 17:41 plujan Assigned To => marvintm
2009-10-23 17:41 plujan File Added: 250mp8_ModuleUpgradingError.PNG
2009-10-23 17:41 plujan Relationship added related to 0010090
2009-10-23 17:41 plujan Status new => scheduled
2009-10-23 17:41 plujan fix_in_branch => pi
2009-10-23 17:58 shuehner Note Added: 0021366
2009-11-13 13:47 iperdomo Relationship added related to 0011083
2010-01-25 16:16 psarobe Note Added: 0023792
2010-01-25 16:16 psarobe Priority high => urgent
2010-01-25 16:16 psarobe Severity minor => major
2010-01-25 16:16 psarobe Fixed in Version => 2.50MP12
2010-01-25 16:16 psarobe fix_in_branch pi =>
2010-01-25 16:17 psarobe File Added: error_change_pending.PNG
2010-02-05 13:34 alostale Assigned To marvintm => alostale
2010-02-05 13:35 hgbot Checkin
2010-02-05 13:35 hgbot Note Added: 0023991
2010-02-05 13:35 hgbot Status scheduled => resolved
2010-02-05 13:35 hgbot Resolution open => fixed
2010-02-05 13:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a9eeb25cc2a278a9a1dde63a54e93033f734d60b [^]
2010-02-15 17:36 hudsonbot Checkin
2010-02-15 17:36 hudsonbot Note Added: 0024298
2010-02-17 16:54 marvintm Note Added: 0024497
2010-02-17 16:54 marvintm Status resolved => new
2010-02-17 16:54 marvintm Resolution fixed => open
2010-02-17 16:54 marvintm Fixed in Version 2.50MP12 =>
2010-02-17 16:56 hgbot Checkin
2010-02-17 16:56 hgbot Note Added: 0024499
2010-02-17 16:56 hgbot Status new => resolved
2010-02-17 16:56 hgbot Resolution open => fixed
2010-02-17 16:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a9eeb25cc2a278a9a1dde63a54e93033f734d60b [^] => http://code.openbravo.com/erp/devel/pi/rev/53e2c2b7a0aa313d23a4eb4c8fd4def0652b39be [^]
2010-02-17 17:12 marvintm Note Added: 0024501
2010-02-17 17:12 marvintm Status resolved => closed
2010-02-17 17:12 marvintm Fixed in Version => 2.50MP12
2010-02-18 00:00 anonymous sf_bug_id 0 =>
2010-02-18 12:03 jpabloae Fixed in Version 2.50MP12 =>
2010-02-18 12:34 hgbot Checkin
2010-02-18 12:34 hgbot Note Added: 0024584
2010-02-18 12:34 hgbot Status closed => resolved
2010-02-18 12:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/53e2c2b7a0aa313d23a4eb4c8fd4def0652b39be [^] => http://code.openbravo.com/erp/devel/pi/rev/eecd5dedc0dcaba824f005798ab3c9605bf46648 [^]
2010-02-18 12:46 alostale Note Added: 0024586
2010-02-18 12:46 alostale Status resolved => closed
2010-02-19 16:35 hudsonbot Checkin
2010-02-19 16:35 hudsonbot Note Added: 0024656
2010-02-19 16:35 hudsonbot Checkin
2010-02-19 16:35 hudsonbot Note Added: 0024661
2010-03-10 18:28 anonymous sf_bug_id => 2967937


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker